Package Details: palemoon-bin 28.10.0-1

Git Clone URL: https://aur.archlinux.org/palemoon-bin.git (read-only, click to copy)
Package Base: palemoon-bin
Description: Open source web browser based on Firefox focusing on efficiency.
Upstream URL: http://linux.palemoon.org/
Keywords: browser goanna web
Licenses: GPL, MPL, LGPL
Conflicts: palemoon
Provides: palemoon=28.10.0
Submitter: sumt
Maintainer: oberon2007 (WorMzy)
Last Packager: WorMzy
Votes: 175
Popularity: 1.38
First Submitted: 2014-06-03 14:55
Last Updated: 2020-06-06 09:46

Pinned Comments

WorMzy commented on 2019-09-01 10:01

Note that 28.7.0 was signed with the lead dev's pgp key rather that the usual Linux dev's key. You'll need to import the new key into your keyring before the pgp check will be able to verify the tarball: gpg --keyserver=keyserver.ubuntu.com --recv-keys 8FCF9CEC

See https://forum.palemoon.org/viewtopic.php?f=37&t=19907#p173793 and https://forum.palemoon.org/viewtopic.php?f=1&t=7176 for more information.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 Next › Last »

korrode commented on 2016-04-05 22:44

I'd have thought it'd just be direct replacement of the gst 0.10 optdepends with the equivalent gst 1.0 package.
i.e. before it was this:

optdepends = gstreamer0.10-base-plugins: vorbis decoding, ogg demuxing
optdepends = gstreamer0.10-good-plugins: webm and mp4 demuxing
optdepends = gstreamer0.10-bad-plugins: aac, vp8 and opus decoding
optdepends = gstreamer0.10-ugly-plugins: h.264 and mp3 decoding
optdepends = gstreamer0.10-ffmpeg: h.264 decoding

Change to this:

optdepends = gst-plugins-base: vorbis decoding, ogg demuxing
optdepends = gst-plugins-good: webm and mp4 demuxing
optdepends = gst-plugins-bad: aac, vp8 and opus decoding
optdepends = gst-plugins-ugly: h.264 and mp3 decoding
optdepends = gst-libav: h.264 decoding


No?

WorMzy commented on 2016-04-05 19:55

Travis confirmed in an email that base/good plugin sets are required for basic functionality, and gst-libav is needed for h.264. He said there should be some documentation when 26.2 got released, though I've not had chance to look for it yet.

korrode commented on 2016-04-01 22:51

Hey sumt, in case you didn't already know: as of 26.2.0 PM is going to use gstreamer 1.0 (rather than 0.10), so optdepends will need changing.

Michaelcre commented on 2016-03-02 20:40

@sumt, I am acutally currently fixing the problem. I will let you know if I cannot resolve it. Thanks

Michaelcre commented on 2016-03-02 16:27

==> ERROR: Failure while downloading http://linux.palemoon.org/installer/download.php?v=26.1.1&a=x86_64
Aborting...
==> ERROR: Makepkg was unable to build palemoon-bin.

aphirst commented on 2016-02-07 15:04

==> Validating source files with sha1sums...
palemoon.desktop ... FAILED
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build palemoon-bin.

flacks commented on 2016-02-05 05:12

The source seems to be located at http://linux.palemoon.org/$pkgver/palemoon-$pkgver.en-US.linux-$(uname -r).tar.bz2 now (note the disappearance of the `files' subdirectory).

timofonic commented on 2015-12-02 22:35

$ apacman -S palemoon-bin

Aur Targets (1): palemoon-bin

:: Proceed with installation? [Y/n] y
Edit palemoon-bin PKGBUILD with $editor? [Y/n] n
Edit palemoon.install with $editor? [Y/n] n
==> Making package: palemoon-bin 25.8.1-1 (Wed Dec 2 23:31:52 CET 2015)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Found palemoon.desktop
-> Downloading palemoon-25.8.1.en-US.linux-x86_64.tar.bz2...
** Resuming transfer from byte position 1761280
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0curl: (23) Failed writing body (1176 != 1412)
==> ERROR: Failure while downloading palemoon-25.8.1.en-US.linux-x86_64.tar.bz2
Aborting...

==> ERROR: the build failed
-> Status failed (1): palemoon-bin

keepitsimpleengr commented on 2015-11-19 14:44

Oops...
The SHA-1 checksum in PKBBUILD does not match the one at http://linux.palemoon.org/download/atom/

korrode commented on 2015-10-29 00:54

Over at Manjaro we've already done option 2.
i.e.
http://manjaro.mirror.serversaustralia.com.au/stable/community/i686/palemoon-bin-25.7.3-1-i686.pkg.tar.xz
http://manjaro.mirror.serversaustralia.com.au/stable/community/i686/palemoon-atom-bin-25.7.3-1-i686.pkg.tar.xz

Certainly i'd encourage Arch to do the same.